Bug 493862 - S-c-tools cleanup: bad spacings, alignment, layout
S-c-tools cleanup: bad spacings, alignment, layout
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 493608
  Show dependency treegraph
 
Reported: 2009-04-03 06:04 EDT by Roman Rakus
Modified: 2014-01-12 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.1.8-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 18:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2009-04-03 06:04:24 EDT
Description of problem
A clean, logical dialog layout helps the user to quickly understand what information is required from them. It's very important to have proper spacing between window borders, controls and separators (if used), controls alignment etc.

How reproducible:
New printer - too big spacings?

Steps to Reproduce
1. invoke any dialog

Actual results
Incorrect controls spacing and alignment.

Expected results
Correct window/dialog layout.

Additional info
Look at GNOME Human Interface Guidelines 2.2 [1] [2] [3]

[1] http://library.gnome.org/devel/hig-book/stable/design-window.html.en 
[2] http://library.gnome.org/devel/hig-book/stable/windows-dialog.html.en 
[3] http://library.gnome.org/devel/hig-book/stable/windows-alert.html.en#alert-spacing
Comment 1 Tim Waugh 2009-04-03 06:18:55 EDT
The HIG were consulted while building the dialogs.  Please give more detail about what needs changing.
Comment 2 Roman Rakus 2009-04-15 10:14:51 EDT
New printer dialog has bug spacings.
See:
http://library.gnome.org/devel/hig-book/stable/design-window.html.en#layout-dialogs
Comment 3 Tim Waugh 2009-04-28 12:37:06 EDT
Fixed upstream.
Comment 4 Fedora Update System 2009-06-18 13:03:08 EDT
system-config-printer-1.1.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.8-1.fc11
Comment 5 Fedora Update System 2009-07-11 13:10:36 EDT
system-config-printer-1.1.8-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-07-20 05:24:16 EDT
system-config-printer-1.1.8-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.8-6.fc11
Comment 7 Fedora Update System 2009-07-22 18:06:34 EDT
system-config-printer-1.1.8-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.